/*
 Sample programm for a RTF edit control in express++
 This sample wil NOT be included in future Express++ releases.

 If your application uses a ARC file, you might want to alter DcRtfEdit.ch.
 Change the values og the #define for the resources.

 */

#include "Common.ch"
#include "DcDialog.ch"
#include "DcRtfEdit.ch"
#define COLOR_ORANGE GraMakeRGBColor( { 253, 120,  41 } )

Procedure Main()
LOCAL GetList        := {}
LOCAL nLine          := 1
LOCAL nTab           := 22
LOCAL lOk            := FALSE
LOCAL lHide          := FALSE
LOCAL lWhen          := TRUE
LOCAL cRtf           := MemoRead("RtfSample.rtf")
LOCAL oRtf           := nil
@ nLine++, nTab   DCCHECKBOX  lWhen CAPTION "Rtf editor is active (WHEN {||TRUE})" ACTION Dc_GetRefresh(oRtf)
@ nLine++, nTab   DCCHECKBOX  lHide CAPTION "Rtf editor is hidden (HIDE {||TRUE})" ACTION Dc_GetRefresh(oRtf)
nLine++
@ nLine  , nTab   DCRTFEDIT cRtf OBJECT oRtf    ;
                  SIZE     120,18               ;
                  CAPTION  "A RTF text box"     ;
                  FONT  "9.Arial Bold"          ;
                  WHEN  {||lWhen}               ;
                  HIDE  {||lHide}               ;
                  COLOR COLOR_ORANGE

DCREAD GUI TO lOk FIT
if lOk
endif
oRtf:Destroy()                // <<<<<==== No not forget !!
oRtf                 := nil
Return

Procedure AppSys()
Return
